
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>第一章-Delphi入门(三)(3) / iVAN</title>

    <meta name="description" content="第一章-Delphi入门(三)(3) 1.3 Delphi 2.0的可视化部件用法简介 本节中,我们将较为深入地讲解Delphi的部件.这是编制大型复杂应用程序的必由之路.下面,我们将对各种部件分类进行简单的介绍,以便于您在编程时能够较快地了解有哪些部件可能会满足您的要求,并对其重要的方法.属性等有一个大致的了解. 基本技巧.工具的介绍在本章的第4节中,交互阅读这两部分,多创制几个试验程序,有助于您迅速进入Delphi世界,尽早将这一精妙软件用于实际工作中. 1.3.1 常用的文本相关部件 以下的部件以各种格式显示文本,其中有些是文">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">第一章-Delphi入门(三)(3)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>1.3 Delphi 2.0的可视化部件用法简介　</p>
<p>本节中，我们将较为深入地讲解Delphi的部件。这是编制大型复杂应用程序的必由之路。下面，我们将对各种部件分类进行简单的介绍，以便于您在编程时能够较快地了解有哪些部件可能会满足您的要求，并对其重要的方法、属性等有一个大致的了解。</p>
<p>基本技巧、工具的介绍在本章的第4节中，交互阅读这两部分，多创制几个试验程序，有助于您迅速进入Delphi世界，尽早将这一精妙软件用于实际工作中。　</p>
<p>1.3.1 常用的文本相关部件　</p>
<p>以下的部件以各种格式显示文本，其中有些是文本和数据输入的途径。它们是Label(标签)、Edit(文本编辑)、MaskEdit(格式编辑)、Memo(备注)、List Box(列表框)、Combo Box(组合框)。除了MaskEdit在Additional页之外，其它的都在Standard页中。　</p>
<p>1.3.1.1 Label部件　</p>
<p>Label(标签)一般放在对象的旁边，用来标记这些对象，从而对用户的操作进行提示，也可以用来显示其它信息。您可以在标签中设置热键，也即在Caption属性值段中输入含有“&amp;”的字串，当用户使用“Alt+关键字母”时，将自动选中它所指向的对象。方法是设置Label部件的FocusControl属性，在值段中，选用与它关联对象的对象名。　</p>
<p>1.3.1.2 Edit、MaskEdit和Memo部件</p>
<p>Edit、MaskEdit、Memo部件都是用作接收、显示用户输入文本的。它们具有一些相同的属性。ReadOnly在运行时间内控制对象是否可以进行Windows的操作，当此值为False时，该框内的文本就不能被复制到剪贴板上。MaxLength可以设置输入文本的长度限制。用PasswordChar属性可以按照显示隐蔽密码的方法显示用户输入文本，例如，它的缺省值为“*”，运行时，您的输入将用“*”来显示，从而提供了一种安全措施。您可能也发现了，当一个字段被加上高亮度显示时，按键操作会将这一字段删除，替换成当前的键盘输入。这种设置为操作提供了方便，您不必每次先删除原来的文本；但也可能会导致误删文本。将AutoSelect属性设置成False，这种替代功能就被取消了。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 06:43:43</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%b1%9e%e6%80%a7/" title="属性">属性</a>, <a href="https://www.iamivan.net/tag/%e8%be%93%e5%85%a5/" title="输入">输入</a>, <a href="https://www.iamivan.net/tag/%e7%94%a8%e6%88%b7/" title="用户">用户</a>, <a href="https://www.iamivan.net/tag/%e6%96%87%e6%9c%ac/" title="文本">文本</a>, <a href="https://www.iamivan.net/tag/%e5%af%b9%e8%b1%a1/" title="对象">对象</a>, <a href="https://www.iamivan.net/tag/%e9%83%a8%e4%bb%b6/" title="部件">部件</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>第一章-Delphi入门(三)(3)的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bB2RvKb.html" rel="bookmark">第一章-Delphi入门&lpar;三&rpar;&lpar;6&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.3.3.1 Group Box.Radio Group及Panel部件 Group Box(群组框).Radio Group(选项按钮组)部件都可以将部件分类.成组.它们都有标题,可以用文字表征成组部件的标题或信息.Radio Group可以进行Column和Item属性的设定,以决定其上的无线按钮的提示文本及显示格式.Panel部件也可以达到将部件分组的目的.通过编程向窗口加一个操作板部件,以书写提示和帮助信息,也不失为一种好方法.以上三个部件都在Standard页. 1.3.3.2 No			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2ywjZz.html" rel="bookmark">第一章-Delphi入门&lpar;三&rpar;&lpar;2&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.2.5.1 为用户操作建立&quot;事件&quot; 单击窗体上的&quot;Rectangle&quot;按钮,在Object Inspector中,点动&quot;Events&quot;页标签,出现事件窗口.在本例程中,我们只关心OnClick事件,即按钮接收到左键单击时应用程序所作出的反应.在Object Inspector窗口中双击OnClick事件右端的值段,会使得Delphi激活库代码编辑器,并将光标停在该按钮所对应的过程的begin...end之间.&quot;Rectangle&q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk25d7M.html" rel="bookmark">第一章-Delphi入门&lpar;三&rpar;&lpar;1&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.2.4.3 汉化界面及字体选取 如果您的Windows95系统中安装了中文系统,对界面做汉化是极其方便的.例如,您可以将Button1的Caption属性改成&quot;&amp;R矩形&quot;,同样地可改变其它部件的属性,将窗体做成中文的操作界面. 若对中.西文字体不满意,则可以调整Font属性以满足您的要求.Font属性的前面,有一个小小的&quot;+&quot;号,这说明它表征的是集属性,也即属性不再是一个单值,而是一个属性的集合.双击Font,Object Inspector将在下面扩充			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRy8kqb.html" rel="bookmark">第一章-Delphi入门&lpar;三&rpar;&lpar;5&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				常见的组合框初始化用以下的语句可以实现,它用下拉式列表框的第一项来初始化组合框的缺省值: procedure TForm1.ComboBox1Text(Sender:TObject); begin if ComboBox1.Text = ''then ComboBox1.Text := ComboBox1.Items.String[1] ; end; 以上就是文本输入的基本部件. 1.3.2 按钮和检查框部件 1.3.2.1 Button和BitBtn部件 按钮是Windows常用的部件,前文的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7k89Zz.html" rel="bookmark">第一章-Delphi入门&lpar;三&rpar;&lpar;4&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MaskEdit是格式文本输入对象.它的EditMask属性为它提供了过滤文本的格式.点动这一属性的省略按钮,会弹出过滤编辑对话框,除了Delphi为您提供的几种屏蔽格式,您也可以自己编写,查阅&quot;帮助&quot;,会为您提供更详细的用法介绍. Memo是备注框,与以上对象不同的是,它可以接收多行文本输入.将ScrollBars设置成ssVertical,可以为它加上一个垂直的滚行条.Align属性调整该对象在窗口中的对齐情况,有alNone(无对齐指定).alBottom(底部对齐).alCli			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VMrLEjz.html" rel="bookmark">第一章-Delphi入门&lpar;一&rpar;&lpar;2&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一些早期的具有OOP性能的程序语言如C++,Pascal,Smalltalk等,虽然具有面向对象的特征,但不能轻松地画出可视化对象,与用户交互能力较差,程序员仍然要编写大量的代码.Delphi的推出,填补了这项空白.您不必自己建立对象,只要在提供的程序框架中加入完成功能的代码,其余的都交给Delphi去做.欲生成漂亮的界面和结构良好的程序丝毫不必绞尽脑汁,Delphi将帮助您轻松地完成.它允许在一个具有真正OOP扩展的可视化编程环境中,使用它的Object Pascal语言.这种革命性的组合,使			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/6b34dgM.html" rel="bookmark">第一章-Delphi入门&lpar;二&rpar;&lpar;1&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.2.3 设计简单的用户界面 首先从空白窗体开始工作.我们将设计一个简单的程序:在屏幕上开一个窗口,窗口中有一个图框,用三个按钮来改变图框的形状:再用一个图标按钮来进行图框的颜色设置,通过颜色编辑对话框来选择变成哪一种颜色. 在菜单上选用File New Application菜单项来生成新的工程文件.这时,屏幕上出现图1.2所示的窗体. 1.2.3.1 选取部件加入到窗体中 部件(Component)是建立Delphi应用程序的要素.Delphi为用户提供了丰富的部件库,既有可视的部件(如编			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4wJOPp.html" rel="bookmark">第一章-Delphi入门&lpar;五&rpar;&lpar;6&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.5.4 使用工程样板和应用专家 Delphi的工程样板提供预先设计的工程来作为应用程序开发的起点.而应用专家则允许用户按照一定的模式来创建一个应用程序. 1.5.4.1 使用工程样板 当您通过一个工程样板来开始一个工程时,除了空白工程样板外,都会被要求指定一个唯一的子目录即工程目录Project Directory,用来存储新的工程.如果您指定一个不存在的目录,Delphi会帮助您生成它.您可以通过加入新的窗体和程序库单元来修改它,或不加修改地直接利用,而只是加入您的事件处理过程.无论您如何			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8jR19b.html" rel="bookmark">第一章-Delphi入门&lpar;五&rpar;&lpar;3&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.5.1.1 创建一个含有About框的例程 作为例子,我们先创建一个含主窗体和简单的About框的应用程序: 在Delphi中创建一个新工程,并为空窗口增加一个Button部件.我们把它作为主窗体,目的是当按动按钮部件时,调出About窗口.下面我们直接进行About窗口的创制. 选用主菜单的File New项,在New页中,选用Form样板,Delphi会自动创建一个空窗体Form2.您可以在其上进行About框的设计,例如加入标签以显示各种信息.加入图片帮助说明等.将Form2的Bord			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKevLp.html" rel="bookmark" class="title">行业专业网站策划漫淡</a>
					<div>
						笔者在近十年为企业服务的过程中,做了大量的行业网站策划(或曰专业网站策划),过程中有诸多感慨和体验,现选择部分写出来与大家分享. 我在客户服务过程中接触过很多同行(网络公司)做的策划方案,看完真有点哭 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MYnABp.html" rel="bookmark" class="title">继续推荐俺的《新概念ASP&period;NET教程》</a>
					<div>
						asp.net|概念|教程 图书版权信息图书编号:D08107884 图书名称:新概念ASP.NET教程 出版社:北京科海集团出版社 译作者:王洪超 出版日期:2001年4月 国标编号:ISBN 7- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZO24Ob.html" rel="bookmark" class="title">CSS下拉菜单的制作</a>
					<div>
						HTML代码: Example Source Code &lt;div id=&quot;nav&quot;&gt; &lt;ul&gt; &lt;li class=&quot;menu2″ onMo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOw6eqz.html" rel="bookmark" class="title">Photoshop快速增强花朵照片的层次感教程</a>
					<div>
						教程主要使用Photoshop快速增强花朵照片的层次感,在后期外景摄影中,我们经常见到一些拍摄的花朵原图很模糊,而且没有层次感,整体在一个平面中, 本教程就是告诉大家如何来改善这种图片,通过颜色来增加 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKBeVp.html" rel="bookmark" class="title">ruby中的循环语句总结</a>
					<div>
						  这篇文章主要介绍了ruby中的循环语句总结,本文总结了Ruby中常用的一些循环语法,需要的朋友可以参考下 while(当-) 循环 while 条件 语句1; 语句2 ; 语句- end 单行 w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6eNBNb.html" rel="bookmark" class="title">如何用Photoshop给宝宝美白</a>
					<div>
						本教程主要是介绍宝宝美容技巧.本身宝宝皮肤是非常好的,不过照相的时候可能会因为光线问题会比较暗,调的时候只需调亮整个画面并适当的润下色就可以.作者巧妙的运用通道选区然后填充白色来增强照片的亮度,做起来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOaO5QM.html" rel="bookmark" class="title">阿里电话面试之所做所得所感&lpar;2015年7月&rpar;</a>
					<div>
						        转眼间就到了找工作的阶段,这是我参加的第一个面试,无论结果如何我都受益匪浅.以后也会陆续推出更多的关于面试和找工作相关的文章,希望文章对你有所帮助!而且我准备采用轻松愉快又有内容的方式 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQN7xQM.html" rel="bookmark" class="title">浅谈sqlserver下float的不确定性</a>
					<div>
						很多时候,大家都知道,浮点型这个东西,本身存储就是一个不确定的数值,你永远无法知道,它是 0 = 0.00000000000000123 还是 0 = 0.00000000000999这样的东西.也许 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6D4wz.html" rel="bookmark" class="title">js实现获取焦点后光标在字符串后&lowbar;javascript技巧</a>
					<div>
						主要介绍了js实现获取焦点后光标在字符串后,原理就是获得焦点后重新把自己复制粘帖一下,喜欢的朋友可以看看   复制代码 代码如下: var t=$(&quot;#&quot;+id).val(); $ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NL3XM.html" rel="bookmark" class="title">github上传文件夹失败</a>
					<div>
						问题描述 github上传文件夹失败 刚接触github想要将自己做的一个demo上传到github,我首先把github上新建的一个仓库clone到本地,然后把demo文件夹放到刚才clone的仓库 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxoGEjb.html" rel="bookmark" class="title">关于Android网络请求超时处理</a>
					<div>
						问题描述 关于Android网络请求超时处理 一个请求10秒后无响应怎么做处理,我想在超时后调用缓存数据,但是不知道怎么判断网络超时,项目用了afinal,没找到超时后的处理方法,只有onsucces ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXW2xz.html" rel="bookmark" class="title">java初学者 一个特别简单的问题</a>
					<div>
						问题描述 就是打印星星,一个菱形的.下面是我写的代码可是自己找不到错误,希望大神帮忙,谢谢!classprintXx{publicstaticvoidmain(String[]args){Forx1( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKmL5b.html" rel="bookmark" class="title">关于django rest framework里token auth的实现及答疑</a>
					<div>
						http://stackoverflow.com/questions/14838128/django-rest-framework-token-authentication ============= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqlR4z.html" rel="bookmark" class="title">进入MFC讲坛的前言&lpar;五&rpar;</a>
					<div>
						框窗.视图和文档及其关系  MFC架构的另外一个特色是它的框窗.视图和文档这个三位一体的结构,它是一个典型的MVC(Model.View and Controler)结构.严格的讲,框窗不属于MVC中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwgy6M.html" rel="bookmark" class="title">ubuntu上编译gpb时遇到问题</a>
					<div>
						问题描述 ubuntu上编译gpb时遇到问题 在编译gpb时遇到以下问题 不知到怎样解决了,望各位帮忙 解决方案 看你的include有没有包含MATLABR版本号externinclude 解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jNLkp.html" rel="bookmark" class="title">FTP无法删除的文件的分析&lowbar;星外虚拟主机</a>
					<div>
						1.文件被锁定,例如ACCESS数据库,这些文件可以让用户停止虚拟主机后一会儿就会解锁,从而可以删除.一般管理员停止池或回收池也可以删除这这类文件. 2.文件的索引坏了.在一台有上百万文件的服务器中, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mlm1Bnp.html" rel="bookmark" class="title">IIS7中ASP&period;net 请求处理过程说明&lowbar;实用技巧</a>
					<div>
						IIS7 站点启动并处理请求的步骤如下图: 步骤 1 到 6 ,是处理应用启动,启动好后,以后就不需要再走这个步骤了. 上图的8个步骤分别如下: 当客户端浏览器开始HTTP 请求一个WEB 服务器的资 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boL92DM.html" rel="bookmark" class="title">获取URL地址中的文件名和参数的javascript代码&lowbar;javascript技巧</a>
					<div>
						复制代码 代码如下: //获取页面文件名 function GetPageName() { var url=window.location.href;//获取完整URL var tmp= new Ar ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmYDDp.html" rel="bookmark" class="title">腾讯网迷你版打不开？腾讯网迷你版打不开网页怎么办&quest;</a>
					<div>
						腾讯网迷你版打不开怎么办 a.如果电脑安装了360了我们可以点击打开360之后再找到&quot;电脑教授&quot; b.然后进入之后我们找到&quot;360电脑救援&quot;-&quot;自助方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGrGDlp.html" rel="bookmark" class="title">佳能7D相机选择自动对焦点方法</a>
					<div>
						给各位摄影爱好者们来详细的解析分享一下佳能7D相机选择自动对焦点的方法. 方法分享: 对数码单反相机来说,迅速选择自动对焦点是拍摄成功的关键.希望大家能熟练操作EOS 7D的多功能控制钮.主拨盘和速控 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGrW4vp.html" rel="bookmark" class="title">想问个Dictionary嵌套问题</a>
					<div>
						问题描述 原代码:IDictionary&lt;Boolean,Action&gt;ID1=newDictionary&lt;Boolean,Action&gt;(){{true,()=&gt;{ID ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkl46p.html" rel="bookmark" class="title">java-OLAP做数据分析的时候，jpivot 这个页面显示的  导航tab怎么删除</a>
					<div>
						问题描述 OLAP做数据分析的时候,jpivot 这个页面显示的 导航tab怎么删除 OLAP做数据分析的时候,jpivot 这个页面显示的 导航tab怎么删除,比如删除 那个OLAP导航 ,显示MD ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYe0Nb.html" rel="bookmark" class="title">vb&period;net打包成安装程序</a>
					<div>
						问题描述 我的程序已经写好了,并且调试可以正常运行,使用正常.现在该如何打包,以方便在任何电脑上安装使用呢 解决方案 解决方案二:在新建项目中创建安装项目.解决方案三:debug里有个.EXE文件,可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7wQAqz.html" rel="bookmark" class="title">中国概念股多数上扬</a>
					<div>
						在美上市的主要中国概念股2月2日多数上扬.涨幅榜上,21世纪不动产涨15.02%.中国信息技术涨14.00%.晶科能源涨8.91%.人人网止跌上涨8.18%.赛维LDK涨7.95%.此外,优酷涨7.9 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boq0BBp.html" rel="bookmark" class="title">ConcurrentHashMap之实现细节</a>
					<div>
						ConcurrentHashMap 的实现原理: 锁分离(Lock striping) ConcurrentHashMap允许多个修改操作并发进行,其关键在于使用了锁分离技术.它使用了多个锁来控制对h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK0KjAM.html" rel="bookmark" class="title">水利部称希望民间资本参与水资源的建设与运营</a>
					<div>
						伴随着物价上涨压力的减轻,早在规划中的水.电.天然气等资源性产品价格上调正在潜行.今年以来,天津.上海.南京.广州.兰州和银川等地相继上调了水价,引起各方关注. 8月3日,国家发改委网站挂出文章,介绍 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLBnL8b.html" rel="bookmark" class="title">JavaScript的setTimeout与setInterval定时机制介绍</a>
					<div>
						 代码如下 复制代码 showTime(); function showTime() {     var today = new Date();     alert(&quot;The time is ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPW7aDM.html" rel="bookmark" class="title">c&plus;&plus;-求大神们指点，如何编写程序来检查文件格式是否正确？？假如我的一个文件里有两段内容如下</a>
					<div>
						问题描述 求大神们指点,如何编写程序来检查文件格式是否正确??假如我的一个文件里有两段内容如下 $w_ang[0,0]=0 $w_ang[0,1]=-2.9 $w_ang[0,2]=-8.8 $w_a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmdBAwM.html" rel="bookmark" class="title">PHP中清除字符串所有空格程序代码</a>
					<div>
						我先是使用trim() rtrim() ltrim() 来删除空格  代码如下 复制代码 &lt;?php echo trim(&quot; 空 格 &quot;).&quot;&lt;br&gt;& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvqqd1b.html" rel="bookmark" class="title">StatCounter发布全球移动数据流量报告</a>
					<div>
						日前,市场研究机构StatCounter发布了全球移动数据流量报告.报告显示,在今年6月份,三星智能设备的全球移动数据流量首次超越苹果iPhone及iPod Touch设备,表明全球经常使用智能手机上 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
